# Class BackCommand

java.lang.Object
com.hypixel.hytale.server.core.command.system.AbstractCommand
com.hypixel.hytale.server.core.command.system.basecommands.AbstractAsyncCommand
com.hypixel.hytale.server.core.command.system.basecommands.AbstractPlayerCommand
net.miarma.hystuff.commands.misc.BackCommand

public class BackCommand extends com.hypixel.hytale.server.core.command.system.basecommands.AbstractPlayerCommand

## Field Summary

### Fields inherited from class com.hypixel.hytale.server.core.command.system.AbstractCommand

`EMPTY_STRING_ARRAY, LOGGER`

## Constructor Summary

Constructors
Constructor
Description
`BackCommand()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`canGeneratePermission()`
`protected void`
`execute(com.hypixel.hytale.server.core.command.system.CommandContext ctx, com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, com.hypixel.hytale.server.core.universe.PlayerRef playerRef, com.hypixel.hytale.server.core.universe.world.World world)`

### Methods inherited from class com.hypixel.hytale.server.core.command.system.basecommands.AbstractPlayerCommand

`executeAsync`

### Methods inherited from class com.hypixel.hytale.server.core.command.system.basecommands.AbstractAsyncCommand

`execute, runAsync`

### Methods inherited from class com.hypixel.hytale.server.core.command.system.AbstractCommand

`acceptCall, addAliases, addSubCommand, addUsageVariant, completeRegistration, countParents, generatePermissionNode, getAliases, getDescription, getFullyQualifiedName, getName, getOwner, getPermission, getPermissionGroups, getPermissionGroupsRecursive, getRequiredArguments, getSubCommands, getUsageShort, getUsageString, hasBeenRegistered, hasPermission, isVariant, matches, putRecursivePermissionGroups, requirePermission, setAllowsExtraArguments, setOwner, setPermissionGroup, setPermissionGroups, setUnavailableInSingleplayer, withDefaultArg, withDefaultArg, withFlagArg, withListDefaultArg, withListOptionalArg, withListRequiredArg, withOptionalArg, withOptionalArg, withRequiredArg, withRequiredArg`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BackCommand

public BackCommand()

## Method Details

### canGeneratePermission

protected boolean canGeneratePermission()

Overrides:
  `canGeneratePermission` in class `com.hypixel.hytale.server.core.command.system.AbstractCommand`

### execute

protected void execute(@NonNullDecl com.hypixel.hytale.server.core.command.system.CommandContext ctx, @NonNullDecl com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, @NonNullDecl com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, @NonNullDecl com.hypixel.hytale.server.core.universe.PlayerRef playerRef, @NonNullDecl com.hypixel.hytale.server.core.universe.world.World world)

Specified by:
  `execute` in class `com.hypixel.hytale.server.core.command.system.basecommands.AbstractPlayerCommand`